summaryrefslogtreecommitdiffstats
path: root/src/script/crash_bdev.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 18:24:20 +0000
commit483eb2f56657e8e7f419ab1a4fab8dce9ade8609 (patch)
treee5d88d25d870d5dedacb6bbdbe2a966086a0a5cf /src/script/crash_bdev.sh
parentInitial commit. (diff)
downloadceph-483eb2f56657e8e7f419ab1a4fab8dce9ade8609.tar.xz
ceph-483eb2f56657e8e7f419ab1a4fab8dce9ade8609.zip
Adding upstream version 14.2.21.upstream/14.2.21upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/script/crash_bdev.sh')
-rwxr-xr-xsrc/script/crash_bdev.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/script/crash_bdev.sh b/src/script/crash_bdev.sh
new file mode 100755
index 00000000..da31b69b
--- /dev/null
+++ b/src/script/crash_bdev.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+set -ex
+
+while true; do
+ ./ceph daemon osd.0 config set bdev_inject_crash 2
+ sleep 5
+ tail -n 1000 out/osd.0.log | grep bdev_inject_crash || exit 1
+ ./init-ceph start osd.0
+ sleep 20
+done